Bug 111085 - Netdump fails around twice every 3 times
Netdump fails around twice every 3 times
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-27 05:34 EST by Kawasaki Project
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kawasaki Project 2003-11-27 05:34:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Netdump times out immediately and fails around twice every 3 times.

 Server: Red Hat Linux 9 (kernel-2.4.20-20.9).
 Client: Red Hat Linux 9 (kernel-2.4.20-20.9).

-Investigated information
 We think this occurs when cpu-counter wraps around and (t1 - t0) 
becomes minus at the following steps of timeout-judgement. At this 
time, it actually has not timed out. 

line 171
if (t0) {
 if (((t1 - t0) >> 20) > mhz_cycles * (unsigned long long)
idle_timeout) {

We are waiting for your investigation and measures. 
I'm sorry for my poor English.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Make panic on Red Hat Linux 9.

Actual Results:  System reboots without making crashdump-file.

Expected Results:  System leaves crashdump-file on panic for 

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:43 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.